#
# Cookbook Name:: database-upgrader
# Recipe:: default
#
# Copyright (C) 2015 Michael Hedgpeth
#
# All rights reserved - Do Not Redistribute
#

database_upgrader_name = "DatabaseUpgrader.zip" 
cached_database_upgrader = node['database-upgrader']['cache_archive']

directory node['database-upgrader']['cache_path']

cookbook_file database_upgrader_name do
	path cached_database_upgrader
	notifies :unzip, "windows_zipfile[unzip_database_upgrader]", :immediately
end

windows_zipfile 'unzip_database_upgrader' do
	path node['database-upgrader']['install_directory']
	source cached_database_upgrader
	overwrite true
	action :nothing
end

connection_string = 'Server=(local);Database=test;Integrated Security=SSPI'
scripts_directory = 'C:\\temp\\scripts'
application_version = '1.2.3.4'

database_upgrader_checked "make sure database is up to date" do
	connection_string connection_string
	scripts_directory scripts_directory
	application_version application_version
end
